cache-dir: /tmp/test

archs:
  - amd64
  - arm64
  - i386

distros:
  # Parent distributions
  trixie:
    bugs-url: https://bugs.debian.org/cgi-bin/pkgreport.cgi?repeatmerged=no&src=
    tracker-url: https://tracker.debian.org/pkg/
    sources: |
      Types: deb deb-src
      URIs: http://deb.debian.org/debian
      Suites: trixie trixie-updates trixie-proposed-updates
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: http://deb.debian.org/debian
      Suites: trixie trixie-updates trixie-proposed-updates
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer

      Types: deb deb-src
      URIs: http://deb.debian.org/debian-security
      Suites: trixie-security
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: http://deb.debian.org/debian-security
      Suites: trixie-security
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer
  sid:
    bugs-url: https://bugs.debian.org/cgi-bin/pkgreport.cgi?repeatmerged=no&src=
    tracker-url: https://tracker.debian.org/pkg/
    sources: |
      Types: deb deb-src
      URIs: http://deb.debian.org/debian
      Suites: sid experimental
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: http://deb.debian.org/debian
      Suites: sid experimental
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer
    preferences: |
      Package: src:git:any
      Pin: version /next/
      Pin-Priority: -1

      Package: src:reprepro:any
      Pin: version /5.4.8-1/
      Pin-Priority: -1

      Package: src:samba:any
      Pin: version /rc2/
      Pin-Priority: -1

      Package: src:util-linux:any
      Pin: version /rc1/
      Pin-Priority: -1

  # Derivative distributions
  trixie-fastforward:
    parent: trixie
    vendor-suffix: ffwd
    sources.list: |
      Types: deb deb-src
      URIs: https://archive.fastforward.debian.net/debian-fastforward
      Suites: trixie-fastforward trixie-fastforward-security trixie-fastforward-updates trixie-fastforward-proposed-updates
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: https://archive.fastforward.debian.net/debian-fastforward
      Suites: trixie-fastforward trixie-fastforward-security trixie-fastforward-updates trixie-fastforward-proposed-updates
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer

  trixie-fastforward-backports:
    parent: sid
    vendor-suffix: ffwd
    sources.list: |
      Types: deb deb-src
      URIs: https://archive.fastforward.debian.net/debian-fastforward
      Suites: trixie-fastforward-backports
      Components: main contrib non-free non-free-firmware

      Types: deb
      URIs: https://archive.fastforward.debian.net/debian-fastforward
      Suites: trixie-fastforward-backports
      Components: main/debian-installer contrib/debian-installer non-free/debian-installer non-free-firmware/debian-installer

package-sets:
  ansible:
    - ansible
    - ansible-core
    - ansible-lint:
      - python-ansible-compat:
        - pytest-sugar
        - pytest-xdist
    - python-mitogen
    - paramiko
  arista:
    - anta
    - cvprac
    - eos-downloader
    - python-aristaproto
  base-system:
    - kexec-tools
    - lnav
    - manpages
    - manpages-l10n
    - mc
    - procps
    - shadow
    - sssd:
      - ding-libs
    - sudo
    - util-linux
    - whois
  beszel:
    - golang-github-dop251-base64dec
    - golang-github-dop251-goja
    - golang-github-dop251-goja-nodejs
    - golang-modernc-sqlite:
      - golang-modernc-libc:
        - golang-github-cznic-mathutil
  changie:
    - changie:
      - golang-github-cqroot-multichoose
      - golang-github-cqroot-prompt
  chrony:
    - chrony
  clusterlabs:
    - corosync
    - corosync-qdevice
    - crmsh
    - fence-agents
    - pacemaker
    - resource-agents
  dbcli:
    - cli-helpers
    - iredis
    - litecli
    - mycli
    - pgcli
  debian:
    - apt
    - ca-certificates
    - debhelper
    - debian-keyring
    - debootstrap
    - devscripts
    - dpkg
    - licenserecon
    - lintian
    - mmdebstrap
    - reprepro
    - sbuild
  derivatives:
    - bfh-metapackages
    - debian-fastforward
    - progress-linux
    - progress-linux-metapackages
  desktop:
    - cups
    - darktable
    - deluge
    - freerdp3
    - inkscape
    - remmina
  dnsdist:
    - dnsdist
  dns-oarc:
    - dnsperf
    - validns
  dokuwiki:
    - dokuwiki
    - dokuwiki-plugins-extra
    - dokuwiki-templates-extra
  forgejo:
    - golang-forgejo-forgejo-contrib-go-libravatar
    - golang-forgejo-forgejo-levelqueue
    - golang-forgejo-forgejo-reply
    - golang-forgejo-go-chi-binding
    - golang-forgejo-go-chi-cache
    - golang-forgejo-go-chi-captcha
    - golang-gitea-actions-proto-go
    - golang-github-42wim-httpsig
    - golang-github-42wim-sshsig
    - golang-github-blakesmith-ar
    - golang-github-djherbis-nio:
      - golang-github-djherbis-buffer
    - golang-github-editorconfig-editorconfig-core-go
    - golang-github-go-ap-activitypub:
      - golang-github-go-ap-errors:
        - golang-github-go-ap-jsonld
      - golang-sourcehut-mariusor-go-xsd-duration
    - golang-github-gorilla-feeds
    - golang-github-meilisearch-meilisearch-go
    - golang-github-nwaples-rardecode
    - golang-github-santhosh-tekuri-jsonschema
    - golang-github-go-redis-redis
  forgejo-cli:
    - forgejo-cli:
      - forgejo-api
      - rust-auth-git2
      - rust-sha256
      - rust-soft-assert
      - rust-ssh2-config
      - rust-terminal-prompt
  freeradius:
    - freeradius
  frr:
    - frr
    - libnetconf2
    - libyang
    - libyang-python
    - rtrlib
  gatus:
    - golang-github-twin-deepmerge
    - golang-github-twin-g8
    - golang-github-twin-gocache
    - golang-github-twin-health
    - golang-github-twin-logr
    - golang-github-twin-whois
    - golang-github-gofiber-fiber:
      - golang-github-gofiber-utils
      - golang-github-gofiber-schema
      - golang-github-tinylib-msgp
      - golang-github-valyala-fasthttp
    - golang-modernc-memory
  geoip:
    - geoip-database
  git:
    - git
    - gita
    - git-changelog
    - cgit
  git-pages:
    - golang-codeberg-git-pages-go-headers
    - golang-codeberg-git-pages-go-slog-syslog
    - golang-fortio-assert
    - golang-github-bluele-gcache
    - golang-github-c2h5oh-datasize
    - golang-github-dghubble-trie
    - golang-github-dgryski-go-clockpro
    - golang-github-go-echarts-go-echarts
    - golang-github-go-json-experiment-json
    - golang-github-gobwas-pool
    - golang-github-gobwas-ws
    - golang-github-kankanreno-go-snowflake
    - golang-github-leodido-go-syslog
    - golang-github-scalalang2-golang-fifo
    - golang-github-tj-assert
    - golang-github-tj-go-redirects
    - golang-github-viccon-sturdyc
    - golang-github-yiling-j-theine-go
    - golang-github-chromedp-cdproto
  golang:
    - golang-1.24
    - golang-1.25
    - golang-1.26
    - golang-defaults
  haproxy:
    - haproxy
  harlequin:
    - apache-arrow:
      - cython
    - harlequin
    - harlequin-mysql
    - harlequin-odbc
    - harlequin-postgres
    - textual-fastdatatable
    - textual-textarea
  httpd:
    - ai.robots.txt
    - apache2
    - apr
    - apr-util
    - nghttp2
    - libapache-mod-removeip
    - mod-qos
    - modsecurity-apache
    - modsecurity-crs
  icinga:
    - icinga-php-library
    - icinga-php-thirdparty
    - icinga2
    - icingadb
    - icingadb-web
    - icingaweb2
    - icingaweb2-module-audit
    - icingaweb2-module-boxydash
    - icingaweb2-module-businessprocess
    - icingaweb2-module-cube
    - icingaweb2-module-director
    - icingaweb2-module-eventdb
    - icingaweb2-module-fileshipper
    - icingaweb2-module-generictts
    - icingaweb2-module-graphite
    - icingaweb2-module-idoreports
    - icingaweb2-module-incubator
    - icingaweb2-module-map
    - icingaweb2-module-nagvis
    - icingaweb2-module-pdfexport
    - icingaweb2-module-pnp
    - icingaweb2-module-reporting
    - icingaweb2-module-statusmap
    - icingaweb2-module-toplevelview
    - icingaweb2-module-x509
  intel:
    - intel-cmt-cat
    - intel-ipsec-mb
    - ipp-crypto
    - numatop
    - qatengine
    - qatlib
    - qatzip
  kea:
    - isc-kea
  kernel:
    - amd64-microcode
    - initramfs-tools
    - intel-microcode
    - linux
    - linux-base
    - firmware-free
    - firmware-nonfree
    - firmware-sof
    - wireless-regdb
  knot:
    - dns-root-data
    - knot
    - knot-resolver
  kodi:
    - kodi
  libreoffice:
    - libreoffice:
      - java-websocket
      - libixion
      - liborcus
      - libxml2
      - mdds
  linux:
    - btop
    - coreutils
    - cryptsetup
    - dkms
    - dmidecode
    - dracut:
      - rust-threecpio:
        - rust-libc
    - e2fsprogs
    - ethtool
    - exfatprogs
    - ez-ipam
    - gparted
    - iperf3
    - iproute2
    - libdrm
    - libbpf
    - lldpd
    - linuxptp
    - mdadm
    - nfs-utils
    - numad
    - nvme-cli:
      - libnvme
    - pci.ids
    - pciutils
    - raspi-firmware
    - smartmontools
    - squashfs-tools
    - tftp-hpa
    - tzdata
    - usb.ids
    - usbutils
    - wireguard
  llvm:
    - llvm-toolchain-21
    - llvm-toolchain-22
  lzip:
    - clzip
    - lunzip
    - lzd
    - lzip
    - lziprecover
    - lzlib
    - pdlzip
    - plzip
    - tarlz
    - xlunzip
    - zutils
  mail:
    - dovecot
    - dovecot-fts-xapian
    - neomutt
    - postfix
    - roundcube
    - roundcube-plugin-thunderbird-labels
    - rspamd
  mariadb:
    - galera-4
    - mariadb
    - mariadb-connector-odbc
    - mariadb-connector-python
  matomo:
    - matomo
    - matomo-component-cache
    - matomo-component-decompress
    - matomo-component-network
    - matomo-device-detector
    - matomo-php-tracker
  mozilla:
    - eas4tbsync
    - firefox:
      - rust-cbindgen:
        - rust-heck
        - rust-indexmap:
          - rust-allocator-api2
          - rust-hashbrown:
            - rust-foldhash
          - rust-hashbrown-0.14
        - rust-serde:
          - rust-serde-core
          - rust-serde-derive
          - rust-serde-spanned
        - rust-toml:
          - rust-toml-datetime
          - rust-toml-edit
          - rust-toml-parser
          - rust-toml-writer
        - rust-winnow
        - rust-anstream:
          - rust-utf8parse
        - rust-anstyle
        - rust-object
    - firefox-esr
    - nss
    - nspr
    - publicsuffix
    - rustc:
      - wasi-libc
    - dh-rust
    - sqlite3
    - tbsync
    - thunderbird
    - ublock-origin
    - privacybadger
  multimedia:
    - mpv
    - yt-dlp
  netfilter:
    - ipset
    - nftables:
      - libnftnl
    - ulogd2
    - xtables-addons
  nerdlog:
    - nerdlog:
      - golang-github-dimonomid-clock
      - golang-github-dimonomid-ssh-config
      - golang-golang-x-clipboard:
        - golang-golang-x-mobile
  open-infrastructure:
    - dehydrated-tools-extra
    - open-infrastructure-compute-tools
    - open-infrastructure-service-tools
  openssh:
    - libfido2
    - openssh
    - sshguard
  openvpn:
    - openvpn
    - openvpn-auth-ldap
    - openvpn-auth-oauth2:
      - golang-github-google-cel-go:
        - golang-cel-expr
        - golang-github-antlr4-go-antlr
        - golang-golang-x-text
      - golang-gopkg-yaml.v3
    - openvpn-auth-radius
    - openvpn-dco-dkms
    - openvpn3-client
    - openvpn3-indicator
  postgresql:
    #- postgresql-17
    - postgresql-18
    - postgresql-common
  posting:
    - posting:
      - openapi-pydantic
      - textual-autocomplete
      - xdg-base-dirs
  pre-commit:
    - identify
    - pre-commit
    - pre-commit-hooks
    - pygrep-hooks
  prompt-tookit:
    - prompt-toolkit
    - ptpython
  python:
    - jinjax
  redis:
    - redis
  rsyslog:
    - rsyslog
  samba:
    - samba:
      - ngtcp2:
        - nghttp3
  security:
    - nmap
    - nwipe
    - testssl.sh
  sphinx:
    - ablog
    - sphinx:
      - roman-numerals
    - sphinx-autobuild
    - sphinx-rtd-theme
    - port-for
  suricata:
    - suricata:
      - libhtp
    - suricata-update
  systemd:
    - init-system-helpers
    - systemd
    - systemd-cron
    - systemd-netlogd
    - systemd-udeb
  tmux:
    - tmux
    - tmuxp:
      - python-libtmux
  vim:
    - neovim:
      - tree-sitter:
        - rust-bindgen:
          - rust-prettyplease:
            - rust-syn
      - tree-sitter-asm
      - tree-sitter-c
      - tree-sitter-lua
      - tree-sitter-markdown
      - tree-sitter-query
      - tree-sitter-vim
      - tree-sitter-vimdoc
      - utf8proc:
        - unicode-data
    - neovim-alpha
    - neovim-autopairs
    - neovim-conform
    - neovim-gitsigns
    - neovim-gruvbox
    - neovim-indent-blankline
    - neovim-lint
    - neovim-lualine
    - neovim-plenary
    - neovim-rainbow-delimiters
    - neovim-todo-comments
    - neovim-toggleterm
    - neovim-tokyonight
    - neovim-treesitter
    - neovim-which-key
    - vim
    - vim-autopairs
    - vim-deb
    - vim-link-vim
    - vim-scripts
    - vim-securemodelines
    - vim-surround
    - vim-vimtex
    - vim-vimwiki
  virtualbox:
    - vboxmanage-bash-completion
    - virtualbox:
      - kbuild
    - virtualbox-ext-pack
    - virtualbox-guest-additions-iso
  web:
    - bootstrap-html
    - bootstrap-icons
    - wordpress
  wireshark:
    - wireshark
